<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/paqueteria.php';
$response = array();

if(!isset($_POST['activo'])){
    $response['response'] = 'error';
    $response['data'] = 'No se recibió el parámetro activo';
    echo json_encode($response);
    return;
}

$paqueterias = Paqueteria::mdlGetPaqueterias($activo);

if (!$paqueterias) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron paqueterias';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $paqueterias;
echo json_encode($response);